Skip to main content
GET
Get client installation

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>

Query Parameters

company_id
string<uuid>

Optional company ID to filter installations within the authenticated organisation.

Response

Installation exists.

applicationId
string<uuid>
required
read-only

The unique identifier of the application this installation is for.

Example:

"123e4567-e89b-12d3-a456-426614174000"

createdAt
string<date-time>
required
read-only

The date and time when the installation was created.

Example:

"2021-01-01T00:00:00Z"

id
string<uuid>
required
read-only

The unique identifier of the installation.

Example:

"123e4567-e89b-12d3-a456-426614174000"

metadata
object
required

Additional information about the installation.

Example:
resource
string
required
read-only

The resource that the installation is for.

Example:

"urn:pleo:company:123e4567-e89b-12d3-a456-426614174000"

status
string
required

This can be one of InstallationStatus values

Example:

"ACTIVATED"

updatedAt
string<date-time>
required
read-only

The date and time when the installation was last updated.

Example:

"2021-01-01T00:00:00Z"

errorCode
string
read-only

Explains the error that inactivated the installation. This appear if the installation status is inactive.

Example:

"NOT_ENTITLED"